.source {
    min-height: 300px;
    margin-bottom: 10px;
}
.mt-10 {
    margin-top: 16px;
}

.inline-section {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 24px;
}

.input-section-A {
    width: 50%;
    min-height: 350px;
    background-color: #fff;
}

.output-section-B {
    width: 50%;
    position: relative;
    min-height: 350px;
    margin-top: 10px;
}

.conversion-ui {
    display: flex;
    align-items: center;
    gap: 12px;
    margin-bottom: 16px;
    width: 100%;
}

.conversion-select {
    padding: 8px 12px;
    border: 1px solid #ccc;
    width: 50%;
    border-radius: 2px;
    background-color: #fff;
    font-size: 16px;
    font-family: sans-serif;
    color: #000;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-image: url("data:image/svg+xml;charset=US-ASCII,%3Csvg xmlns='http://www.w3.org/2000/svg' width='12' height='8'%3E%3Cpath fill='%23333' d='M1.41 0L6 4.59 10.59 0 12 1.41l-6 6-6-6z'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: right 10px center;
    background-size: 10px;
    padding-right: 32px;
}

.conversion-label {
    font-size: 14px;
    color: #666;
    font-family: sans-serif;
}
.input-textarea-label{
    font-size: 16px;
    font-weight: 500;
    line-height: 24px;
    margin-bottom: 8px;
}
textarea {
    height: 80px !important;
    overflow-y: auto;
    border: 1px solid #ddd !important;
    background-color: #f9f9f9 !important;
    padding: 5px 10px !important;
    resize: none !important;
    width: 100% !important;
}

/* Other Tools */
.input-head-label {
    max-width: 440px;
    margin: 0 auto;
    font-weight: 600 !important;
    font-size: 18px !important;
    line-height: 24px !important;
}
.small-label{
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    color: #000;
    cursor: pointer;
}

.ascii-converter-box {
    max-width: 440px;
    width: 100%;
    padding: 5px 10px;
    margin-inline: auto;
}
.button-container{
    margin-top: 16px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
}
.d-flex{
    display: flex;
    gap: 5px;
}
.convert-button{
    background-color: #007BFF;
    padding: 6px 12px;
    color: white;
    border: none;
    border-radius: 6px;
    cursor: pointer;
}
.convert-button:hover{
    background-color: #007bffce;
    padding: 6px 12px;
    color: white;
    border: none;
    border-radius: 6px;
}
.clear-button{
    background-color: #FFFFFF;
    padding: 6px 12px;
    color: black;
    border: 1px solid #D3D3D3;
    border-radius: 6px;
    cursor: pointer;
}
.grouping{
    height: 18px;
    width: 18px;
    border-radius: 99px;
    cursor: pointer;
}

.inner-output-container{
    margin-top: 32px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

@media only screen and (min-width: 320px) and (max-width: 759px) {
    .carbon-text {
        font-size: 14px;
    }
    .input-section-A,
    .output-section-B {
        width: 100%;
    }

    .inline-section {
        flex-direction: column;
    }
}
